package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrPumpFillMapper;
import com.ruoyi.project.pssr.domain.TPssrPumpFill;
import com.ruoyi.project.pssr.service.ITPssrPumpFillService;

/**
 * 机泵润滑油加注确认清单Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrPumpFillServiceImpl implements ITPssrPumpFillService
{
    @Autowired
    private TPssrPumpFillMapper tPssrPumpFillMapper;

    /**
     * 查询机泵润滑油加注确认清单
     *
     * @param id 机泵润滑油加注确认清单ID
     * @return 机泵润滑油加注确认清单
     */
    @Override
    public TPssrPumpFill selectTPssrPumpFillById(Long id)
    {
        return tPssrPumpFillMapper.selectTPssrPumpFillById(id);
    }
    @Override
    public TPssrPumpFill selectAllConfirmedPersonBySubId(TPssrPumpFill tPssrPumpFill)
    {
        return tPssrPumpFillMapper.selectAllConfirmedPersonBySubId(tPssrPumpFill);
    }

    /**
     * 查询机泵润滑油加注确认清单列表
     *
     * @param tPssrPumpFill 机泵润滑油加注确认清单
     * @return 机泵润滑油加注确认清单
     */
    @Override
    public List<TPssrPumpFill> selectTPssrPumpFillList(TPssrPumpFill tPssrPumpFill)
    {
        return tPssrPumpFillMapper.selectTPssrPumpFillList(tPssrPumpFill);
    }

    /**
     * 新增机泵润滑油加注确认清单
     *
     * @param tPssrPumpFill 机泵润滑油加注确认清单
     * @return 结果
     */
    @Override
    public int insertTPssrPumpFill(TPssrPumpFill tPssrPumpFill)
    {
        return tPssrPumpFillMapper.insertTPssrPumpFill(tPssrPumpFill);
    }

    /**
     * 修改机泵润滑油加注确认清单
     *
     * @param tPssrPumpFill 机泵润滑油加注确认清单
     * @return 结果
     */
    @Override
    public int updateTPssrPumpFill(TPssrPumpFill tPssrPumpFill)
    {
        return tPssrPumpFillMapper.updateTPssrPumpFill(tPssrPumpFill);
    }

    @Override
    public int updateAllBySubId(TPssrPumpFill tPssrPumpFill) {
        return tPssrPumpFillMapper.updateAllBySubId(tPssrPumpFill);
    }

    /**
     * 批量删除机泵润滑油加注确认清单
     *
     * @param ids 需要删除的机泵润滑油加注确认清单ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPumpFillByIds(Long[] ids)
    {
        return tPssrPumpFillMapper.deleteTPssrPumpFillByIds(ids);
    }

    /**
     * 删除机泵润滑油加注确认清单信息
     *
     * @param id 机泵润滑油加注确认清单ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPumpFillById(Long id)
    {
        return tPssrPumpFillMapper.deleteTPssrPumpFillById(id);
    }
}
